BilateralNetState
Keywords: net.corda.finance.contracts.asset.BilateralNetState class
Date: 2023-09-18

net.corda.finance.contracts.asset

## Class BilateralNetState<P>

- net.corda.finance.contracts.asset.BilateralNetState<P>

- All Implemented Interfaces:
    NetState<P>

      public class BilateralNetState<P>
      implements NetState<P>

  Subset of state, containing the elements which must match for two obligation transactions to be nettable. If two obligation state objects produce equal bilateral net states, they are considered safe to net directly. Bilateral states are used in close-out netting.

- - ### Constructor Detail

    - #### BilateralNetState

          public BilateralNetState(@NotNull
                                   java.util.Set<? extends net.corda.core.identity.AbstractParty> partyKeys,
                                   @NotNull
                                   net.corda.finance.contracts.asset.Obligation.Terms<P> template)

      Subset of state, containing the elements which must match for two obligation transactions to be nettable. If two obligation state objects produce equal bilateral net states, they are considered safe to net directly. Bilateral states are used in close-out netting.

  - ### Method Detail

    - #### getPartyKeys

          @NotNull
          public java.util.Set<net.corda.core.identity.AbstractParty> getPartyKeys()

    - #### getTemplate

          @NotNull
          public net.corda.finance.contracts.asset.Obligation.Terms<P> getTemplate()

    - #### component1

          @NotNull
          public java.util.Set<net.corda.core.identity.AbstractParty> component1()

    - #### component2

          @NotNull
          public net.corda.finance.contracts.asset.Obligation.Terms<P> component2()

    - #### copy

          @NotNull
          public BilateralNetState<P> copy(@NotNull
                                                    java.util.Set<? extends net.corda.core.identity.AbstractParty> partyKeys,
                                                    @NotNull
                                                    net.corda.finance.contracts.asset.Obligation.Terms<P> template)

      Subset of state, containing the elements which must match for two obligation transactions to be nettable. If two obligation state objects produce equal bilateral net states, they are considered safe to net directly. Bilateral states are used in close-out netting.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Subset of state, containing the elements which must match for two obligation transactions to be nettable. If two obligation state objects produce equal bilateral net states, they are considered safe to net directly. Bilateral states are used in close-out netting.

    - #### hashCode

          public int hashCode()

      Subset of state, containing the elements which must match for two obligation transactions to be nettable. If two obligation state objects produce equal bilateral net states, they are considered safe to net directly. Bilateral states are used in close-out netting.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Subset of state, containing the elements which must match for two obligation transactions to be nettable. If two obligation state objects produce equal bilateral net states, they are considered safe to net directly. Bilateral states are used in close-out netting.